function [corValArrB] = makeCorValArrB(corArrDB, workDir)
    % BeatTimeAll(ms) ch1axAng  para1a para1b para1c para1d lay1 ;next_ax; BeatTimeAll(ms) ch2axAng  para2a para2b para2c para2d lay2
    
    noBeatsPerBar = 4;
    
    corValArrB = zeros(size(corArrDB, 1)*noBeatsPerBar, 7, 2); % 2 akser, 1 layerVal per axe
    
    %% Inn axVals og layerVals fra mov filer
    iDB = 1; 
    while iDB <= size(corArrDB, 1) - 1 % Går gjennom DB, leter etter nye movFiles
        
        if ~isempty(corArrDB{iDB, 2}) % her ligger et mov fil navn
            movName = corArrDB{iDB, 2}; % moveName = [workDir corArrDB{iDB, 2} '.txt']; % Skal ligge en ny her
            mov = loadMovFromFile(workDir, movName); %load(moveName); % loadMovFromFile(workDir, movName); % Bnr axis1Angle axis2Angle .. axisNAngle
            movBLng = size(mov, 1);
            
            % fyller inn hele mov så lang den er
            corValArrB(iDB*noBeatsPerBar-noBeatsPerBar+1:iDB*noBeatsPerBar-noBeatsPerBar + movBLng, 2, 1) = mov(:, 2, 1); % ax1 val
            corValArrB(iDB*noBeatsPerBar-noBeatsPerBar+1:iDB*noBeatsPerBar-noBeatsPerBar + movBLng, 7, 1) = mov(:, 2, 2); % ax1 layerVal
            
            corValArrB(iDB*noBeatsPerBar-noBeatsPerBar+1:iDB*noBeatsPerBar-noBeatsPerBar + movBLng, 2, 2) = mov(:, 3, 1); % ax2 val
            corValArrB(iDB*noBeatsPerBar-noBeatsPerBar+1:iDB*noBeatsPerBar-noBeatsPerBar + movBLng, 7, 2) = mov(:, 2, 2); % ax1 layerVal
            
            iDB = iDB + movBLng / noBeatsPerBar; % Hopper fram til neste mov i corArrDB
        else % Hvis plassen ikke blir dekket av mov, fyller inn hver B med 0 (unødvendig? ini til 0)
            iDB = iDB + 1; % Hopper fram til neste mov i corArrDB
            corValArrB(iDB*noBeatsPerBar-noBeatsPerBar+1:iDB*noBeatsPerBar-noBeatsPerBar + 1, 2, 1) = 0; % ax1 val
            corValArrB(iDB*noBeatsPerBar-noBeatsPerBar+1:iDB*noBeatsPerBar-noBeatsPerBar + 1, 2, 2) = 0; % ax2 val
        end
    end
    
    %% Inn B clicktider, siste beat har ingen slutt tid, bruker nest siste for siste dist
    for i = 1 : size(corArrDB, 1)
        startVal = corArrDB{i, 1};
        
        if i < size(corArrDB, 1) % siste beat har ingen slutt tid, bruker nest siste for siste dist
            dist = (corArrDB{i+1, 1} - corArrDB{i, 1}) / noBeatsPerBar;
        end
        
        for ii = 1 : noBeatsPerBar
            corValArrB(noBeatsPerBar*(i-1) + ii, 1, 1) = floor(startVal + dist*(ii-1)); % ax1 
            corValArrB(noBeatsPerBar*(i-1) + ii, 1, 2) = floor(startVal + dist*(ii-1)); % ax2
        end
        
    end
    
    %% Inn para
    currYval = 0;
    currClick = 1;
    % Først ax 1
    for i = 1 : size(corValArrB, 1)
        if ~isnan(corValArrB(i, 2, 1))  % Har funnet en ny start/slutt verdi
            oldYval = currYval;
            oldClick = currClick;
            currYval = corValArrB(i, 2, 1);
            currClick = i;
            
            x1 = corValArrB(oldClick, 1, 1); % x til click-1
            x2 = corValArrB(currClick, 1, 1);
            y1 = oldYval;
            y2 = currYval;
            
            [A, B, D, T] = findPara(x1, y1, x2, y2, 525);
            for ii = oldClick : currClick - 1
                corValArrB(ii, 3:6, 1) = [A, B, D, T];
            end
        end
    end
    
    %%%%%%%%%%%% ax 2
    
    currYval = 0;
    currClick = 1;
    
    for i = 1 : size(corValArrB, 1)
        if ~isnan(corValArrB(i, 2, 2)) % Har funnet en ny start/slutt verdi
            oldYval = currYval;
            oldClick = currClick;
            currYval = corValArrB(i, 2, 2); % Legger inn ny verdi sentrert rundt 5 i currclick i
            currClick = i;
            
            x1 = corValArrB(oldClick, 1, 2); % x til click-1
            x2 = corValArrB(currClick, 1, 2);
            y1 = oldYval;
            y2 = currYval;
            
            [A, B, D, T] = findPara(x1, y1, x2, y2, 525);
            for ii = oldClick : currClick - 1
                corValArrB(ii, 3:6, 2) = [A, B, D, T];
            end
        end
    end
    
    
end




